This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 435805 - (CVE-2008-1111) CVE-2008-1111 lighttpd CGI source disclosure
CVE-2008-1111 lighttpd CGI source disclosure
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On: 435807 435808 435809
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 18:07 EST by Red Hat Product Security
Modified: 2009-10-23 15:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-21 05:45:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-03 18:07:35 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1111 to the following vulnerability:

When mod_cgi running onlighttpd is unable to fork anymore (for instance if
ulimit is reached) lighty sends the full source of the cgi script. This is
rather serious and affects all users of mod_cgi. The patch (found at lighttpd's
subversion repository) returns a 500 response instead.

References:

http://trac.lighttpd.net/trac/changeset/2107
http://bugs.gentoo.org/show_bug.cgi?id=211956
Comment 2 Fedora Update System 2008-03-04 05:58:16 EST
lighttpd-1.4.18-6.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-03-04 06:34:55 EST
lighttpd-1.4.18-3.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-03-06 11:34:52 EST
lighttpd-1.4.18-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-03-06 11:36:12 EST
lighttpd-1.4.18-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Red Hat Product Security 2008-07-21 05:45:28 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2278

Comment 8 Red Hat Bugzilla 2009-10-23 15:06:45 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.